Package: org.gradle.process

## [Java] Interface ExecResult

- Represents the result of running an external process.

- - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `ExecResult` | `assertNormalExitValue()` Throws an org.gradle.process.internal.ExecException if the process exited with a non-zero exit value.
    `int` | `getExitValue()` Returns the exit value of the process.
    `ExecResult` | `rethrowFailure()` Re-throws any failure executing this process.

- - ### Method Detail

    - #### public ExecResult assertNormalExitValue()

      Throws an org.gradle.process.internal.ExecException if the process exited with a non-zero exit value.

      throws:
        ExecException if the process exited with a non-zero exit value
      Returns:
        this

    - #### public int getExitValue()

      Returns the exit value of the process.

    - #### public ExecResult rethrowFailure()

      Re-throws any failure executing this process.

      throws:
        ExecException the execution failure
      Returns:
        this